%define prerelease b584a329b193e206025682ae6c10cdbe03b0cd77
%define import_path github.com/mitchellh/iochan
%define gopath %{_libdir}/golang
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
Summary:	a Go library for treating io readers and writers like channels
Name:		golang-mitchellh-iochan
Version:	0.20130604
Release:	%mkrel 2
License:	MIT
Group:		Development/Other
Url:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}

%description
A go library for treating io readers and writers like channels. This is useful
when sometimes you wish to use io.Reader and such in select statements.

%prep
%setup -q -n iochan-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/README.md

%files
%doc README.md
%{gosrc}/*


%changelog
* Sat Dec 21 2013 thatsamguy <thatsamguy> 0.20130604-2.mga4
+ Revision: 559437
+ rebuild (emptylog)

* Fri Oct 25 2013 thatsamguy <thatsamguy> 0.20130604-1.mga4
+ Revision: 546842
- imported package golang-mitchellh-iochan

